Bug 1285619 - [abrt] plasma-systemsettings: QObject::disconnect(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: QObject::disconnect(): systemsettings5 killed b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fb7073c1a0edf148ce324d2fa4e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 23:46 EST by Abhimanyu Dhiman
Modified: 2016-12-20 11:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.67 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: core_backtrace (6.66 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: dso_list (21.44 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: environ (1.79 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: maps (98.38 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: mountinfo (3.81 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: open_fds (1.25 KB, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details
File: var_log_messages (321 bytes, text/plain)
2015-11-25 23:46 EST, Abhimanyu Dhiman
no flags Details

  None (edit)
Description Abhimanyu Dhiman 2015-11-25 23:46:19 EST
Description of problem:
Added a Global Command Shortcut in Custom Shortcuts

Version-Release number of selected component:
plasma-systemsettings-5.4.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/systemsettings5
crash_function: QObject::disconnect
executable:     /usr/bin/systemsettings5
global_pid:     1950
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2932
 #1 KParts::PartManager::~PartManager at ../../src/partmanager.cpp:136
 #3 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1946
 #4 QObject::~QObject at kernel/qobject.cpp:1024
 #5 KHTMLPart::~KHTMLPart at ../../src/khtml_part.cpp:559
 #7 QObject::event at kernel/qobject.cpp:1230
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #9 QApplication::notify at kernel/qapplication.cpp:3499
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #11 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224

Potential duplicate: bug 1283171
Comment 1 Abhimanyu Dhiman 2015-11-25 23:46:26 EST
Created attachment 1099108 [details]
File: backtrace
Comment 2 Abhimanyu Dhiman 2015-11-25 23:46:28 EST
Created attachment 1099109 [details]
File: cgroup
Comment 3 Abhimanyu Dhiman 2015-11-25 23:46:30 EST
Created attachment 1099110 [details]
File: core_backtrace
Comment 4 Abhimanyu Dhiman 2015-11-25 23:46:33 EST
Created attachment 1099111 [details]
File: dso_list
Comment 5 Abhimanyu Dhiman 2015-11-25 23:46:35 EST
Created attachment 1099112 [details]
File: environ
Comment 6 Abhimanyu Dhiman 2015-11-25 23:46:36 EST
Created attachment 1099113 [details]
File: exploitable
Comment 7 Abhimanyu Dhiman 2015-11-25 23:46:38 EST
Created attachment 1099114 [details]
File: limits
Comment 8 Abhimanyu Dhiman 2015-11-25 23:46:41 EST
Created attachment 1099115 [details]
File: maps
Comment 9 Abhimanyu Dhiman 2015-11-25 23:46:43 EST
Created attachment 1099116 [details]
File: mountinfo
Comment 10 Abhimanyu Dhiman 2015-11-25 23:46:45 EST
Created attachment 1099117 [details]
File: namespaces
Comment 11 Abhimanyu Dhiman 2015-11-25 23:46:47 EST
Created attachment 1099118 [details]
File: open_fds
Comment 12 Abhimanyu Dhiman 2015-11-25 23:46:48 EST
Created attachment 1099119 [details]
File: proc_pid_status
Comment 13 Abhimanyu Dhiman 2015-11-25 23:46:50 EST
Created attachment 1099120 [details]
File: var_log_messages
Comment 14 xvr 2016-01-07 13:46:43 EST
Another user experienced a similar problem:

Simply quit systemsettings5

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QObject::disconnect
executable:     /usr/bin/systemsettings5
global_pid:     5863
kernel:         4.3.3-300.fc23.x86_64
package:        plasma-systemsettings-5.5.1-1.fc23
reason:         systemsettings5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 08:44:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 11:18:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.